1. David Larlet
  2. django-oauth-plus

Pull requests

#11 Merged
Repository
coagulant
Branch
django-1.7-proper
Repository
david
Branch
default

Django 1.7 support [proper PR]

Author
  1. Ilya Baryshev
Reviewers
Description

All changes are backwards-compatible, but require South users of Django pre 1.7 versions to upgrade to South 1.0 See: http://south.readthedocs.org/en/latest/releasenotes/1.0.html#library-migration-path

  • update runtests
  • convert South migrations to Django 1.7 migrations
  • rename HttpResponse mimetype argument to content_type Participants coagulant Parent commits d5202b4 Branches django-1.7-properRaw commit View raw commit Watch Stop watching
  • Learn about pull requests

Comments (10)

  1. Ilya Baryshev author

    I've updated Django page and changelog.

    South requirement is now fixed. However, I'm not sure it's ok to have South as mandatory dependency, especially when Django 1.7 will be released. If you're ok with that, I'll make another PR removing South (and mock) from setup.py

  2. Ilya Baryshev author

    Both South and mock are not required for installing and using the package. Removing them is not related to Django 1.7 support (they were optional all along) and I wasn't sure you're +1 for this change after all. So I suggested making another pull-request. Is it ok?